Subject: bug#34127: 26.1.91; Redisplay issues with tramp

From: Michael Albinus <[email-masked]>
Date: Fri, 18 Jan 2019 23:33:09 +0100

Tim Blackman <[email-masked]> writes:

Hi Tim,

> I've been noticing various display anomalies when using the latest
> Emacs
> 26.1.91 pretest. Some cases are hard to capture or categorize, but it
> seems like I'm seeing more "flashing" for redisplay than I usually do.
>
> The case I was able to capture was when using tramp.
>
> If I create a new tramp connection (after calling M-x
> tramp-cleanup-all-connections), I see a strangely blank screen from
> after calling the command (say C-x C-f "/-:slc:") until the directory
> gets displayed. Please see the attached picture.
>
> That blank screen behavior is new. In 26.1, the frame contents
> continue
> to be displayed while the command is running.

Does it happen also when calling "emacs -Q"?

> - Tim

Best regards, Michael.